## GstFramerateFilter GstFramerateFilter — A video framerate filter |

## Synopsis

    #include <gst/filters/gst-framerate-filter.h>

                        GstFramerateFilter;
    GstFramerateFilter * gst_framerate_filter_new           (guint fps);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstFramerateFilter

## Properties

      "fps"                      guint                 : Read / Write

## Description

This filter will force the output video framerate to be constant.

## Details

### GstFramerateFilter

    typedef struct _GstFramerateFilter GstFramerateFilter;

A video framerate filter

### gst_framerate_filter_new ()

    GstFramerateFilter * gst_framerate_filter_new           (guint fps);

Creates a new framerate filter. This filter will make sure that the stream does not output more frames than the specified FPS. It will not generate duplicate frames, so this filter is mainly to be used in a streaming pipeline. It will basically add 'videomaxrate ! capsfilter' to the pipeline.

`fps` : | The maximum FPS allowed
Returns : | A new GstFramerateFilter. [transfer full]

## Property Details

### The `"fps"` property

      "fps"                      guint                 : Read / Write

The maximum framerate allowed

Allowed values: <= G_MAXLONG

Default value: 30